Index: contrib/Pallet/English.lproj/MainMenu.xib
===================================================================
--- contrib/Pallet/English.lproj/MainMenu.xib	(revision 65496)
+++ contrib/Pallet/English.lproj/MainMenu.xib	(revision 72223)
@@ -2952,5 +3280,337 @@
 								<reference key="NSTextColor" ref="475656758"/>
 								<reference key="NSDelegate" ref="381832301"/>
-								<double key="NSCompletionDelay">0.000000e+00</double>
+								<double key="NSCompletionDelay">0.0</double>
+								<int key="NSTokenStyle">2</int>
+								<object class="NSArray" key="NS.representedObjects">
+									<bool key="EncodedWithXMLCoder">YES</bool>
+									<string>deps...</string>
+								</object>
+							</object>
+							<int key="NSTokenFieldVersion">2</int>
+						</object>
+						<object class="NSTextField" id="51619653">
+							<reference key="NSNextResponder" ref="263175754"/>
+							<int key="NSvFlags">292</int>
+							<string key="NSFrame">{{29, 140}, {144, 17}}</string>
+							<reference key="NSSuperview" ref="263175754"/>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSTextFieldCell" key="NSCell" id="659320119">
+								<int key="NSCellFlags">68288064</int>
+								<int key="NSCellFlags2">272630784</int>
+								<string key="NSContents">Build Dependencies:</string>
+								<reference key="NSSupport" ref="782475540"/>
+								<reference key="NSControlView" ref="51619653"/>
+								<reference key="NSBackgroundColor" ref="377834071"/>
+								<reference key="NSTextColor" ref="102768443"/>
+							</object>
+						</object>
+						<object class="NSTokenField" id="613653874">
+							<reference key="NSNextResponder" ref="263175754"/>
+							<int key="NSvFlags">290</int>
+							<object class="NSMutableSet" key="NSDragTypes">
+								<bool key="EncodedWithXMLCoder">YES</bool>
+								<object class="NSArray" key="set.sortedObjects">
+									<bool key="EncodedWithXMLCoder">YES</bool>
+									<string>NSStringPboardType</string>
+								</object>
+							</object>
+							<string key="NSFrame">{{175, 140}, {416, 17}}</string>
+							<reference key="NSSuperview" ref="263175754"/>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSTokenFieldCell" key="NSCell" id="484672324">
+								<int key="NSCellFlags">67239424</int>
+								<int key="NSCellFlags2">1073741824</int>
+								<object class="NSMutableAttributedString" key="NSContents">
+									<object class="NSMutableString" key="NSString">
+										<bytes key="NS.bytes">77+8A</bytes>
+									</object>
+									<object class="NSDictionary" key="NSAttributes">
+										<bool key="EncodedWithXMLCoder">YES</bool>
+										<object class="NSArray" key="dict.sortedKeys">
+											<bool key="EncodedWithXMLCoder">YES</bool>
+											<string>NSAttachment</string>
+											<string>NSColor</string>
+											<string>NSFont</string>
+											<string>NSOriginalFont</string>
+											<string>NSParagraphStyle</string>
+										</object>
+										<object class="NSMutableArray" key="dict.values">
+											<bool key="EncodedWithXMLCoder">YES</bool>
+											<object class="NSTokenAttachment">
+												<nil key="NSFileWrapper"/>
+												<object class="NSTokenAttachmentCell" key="NSCell">
+													<int key="NSCellFlags">67239488</int>
+													<int key="NSCellFlags2">134219776</int>
+													<string key="NSContents">deps...</string>
+													<reference key="NSSupport" ref="782475540"/>
+													<string key="NSRepresentedObject">deps...</string>
+													<reference key="NSTextColor" ref="475656758"/>
+												</object>
+												<reference key="NS.delegate" ref="484672324"/>
+											</object>
+											<reference ref="475656758"/>
+											<reference ref="782475540"/>
+											<reference ref="782475540"/>
+											<object class="NSMutableParagraphStyle">
+												<nil key="NSTabStops"/>
+											</object>
+										</object>
+									</object>
+								</object>
+								<reference key="NSSupport" ref="782475540"/>
+								<reference key="NSControlView" ref="613653874"/>
+								<reference key="NSBackgroundColor" ref="415231890"/>
+								<reference key="NSTextColor" ref="475656758"/>
+								<reference key="NSDelegate" ref="613653874"/>
+								<double key="NSCompletionDelay">0.0</double>
+								<int key="NSTokenStyle">2</int>
+								<object class="NSArray" key="NS.representedObjects">
+									<bool key="EncodedWithXMLCoder">YES</bool>
+									<string>deps...</string>
+								</object>
+							</object>
+							<int key="NSTokenFieldVersion">2</int>
+						</object>
+						<object class="NSTextField" id="921252007">
+							<reference key="NSNextResponder" ref="263175754"/>
+							<int key="NSvFlags">292</int>
+							<string key="NSFrame">{{29, 115}, {153, 17}}</string>
+							<reference key="NSSuperview" ref="263175754"/>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSTextFieldCell" key="NSCell" id="283467999">
+								<int key="NSCellFlags">68288064</int>
+								<int key="NSCellFlags2">272630784</int>
+								<string key="NSContents">Runtime Dependencies:</string>
+								<reference key="NSSupport" ref="782475540"/>
+								<reference key="NSControlView" ref="921252007"/>
+								<reference key="NSBackgroundColor" ref="377834071"/>
+								<reference key="NSTextColor" ref="102768443"/>
+							</object>
+						</object>
+						<object class="NSTokenField" id="871494942">
+							<reference key="NSNextResponder" ref="263175754"/>
+							<int key="NSvFlags">290</int>
+							<object class="NSMutableSet" key="NSDragTypes">
+								<bool key="EncodedWithXMLCoder">YES</bool>
+								<object class="NSArray" key="set.sortedObjects">
+									<bool key="EncodedWithXMLCoder">YES</bool>
+									<string>NSStringPboardType</string>
+								</object>
+							</object>
+							<string key="NSFrame">{{175, 115}, {416, 17}}</string>
+							<reference key="NSSuperview" ref="263175754"/>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSTokenFieldCell" key="NSCell" id="459791851">
+								<int key="NSCellFlags">67239424</int>
+								<int key="NSCellFlags2">1073741824</int>
+								<object class="NSMutableAttributedString" key="NSContents">
+									<object class="NSMutableString" key="NSString">
+										<bytes key="NS.bytes">77+8A</bytes>
+									</object>
+									<object class="NSDictionary" key="NSAttributes">
+										<bool key="EncodedWithXMLCoder">YES</bool>
+										<object class="NSArray" key="dict.sortedKeys">
+											<bool key="EncodedWithXMLCoder">YES</bool>
+											<string>NSAttachment</string>
+											<string>NSColor</string>
+											<string>NSFont</string>
+											<string>NSOriginalFont</string>
+											<string>NSParagraphStyle</string>
+										</object>
+										<object class="NSMutableArray" key="dict.values">
+											<bool key="EncodedWithXMLCoder">YES</bool>
+											<object class="NSTokenAttachment">
+												<nil key="NSFileWrapper"/>
+												<object class="NSTokenAttachmentCell" key="NSCell">
+													<int key="NSCellFlags">67239488</int>
+													<int key="NSCellFlags2">134219776</int>
+													<string key="NSContents">deps...</string>
+													<reference key="NSSupport" ref="782475540"/>
+													<string key="NSRepresentedObject">deps...</string>
+													<reference key="NSTextColor" ref="475656758"/>
+												</object>
+												<reference key="NS.delegate" ref="459791851"/>
+											</object>
+											<reference ref="475656758"/>
+											<reference ref="782475540"/>
+											<reference ref="782475540"/>
+											<object class="NSMutableParagraphStyle">
+												<nil key="NSTabStops"/>
+											</object>
+										</object>
+									</object>
+								</object>
+								<reference key="NSSupport" ref="782475540"/>
+								<reference key="NSControlView" ref="871494942"/>
+								<reference key="NSBackgroundColor" ref="415231890"/>
+								<reference key="NSTextColor" ref="475656758"/>
+								<reference key="NSDelegate" ref="871494942"/>
+								<double key="NSCompletionDelay">0.0</double>
+								<int key="NSTokenStyle">2</int>
+								<object class="NSArray" key="NS.representedObjects">
+									<bool key="EncodedWithXMLCoder">YES</bool>
+									<string>deps...</string>
+								</object>
+							</object>
+							<int key="NSTokenFieldVersion">2</int>
+						</object>
+						<object class="NSTextField" id="624888554">
+							<reference key="NSNextResponder" ref="263175754"/>
+							<int key="NSvFlags">292</int>
+							<string key="NSFrame">{{29, 90}, {153, 17}}</string>
+							<reference key="NSSuperview" ref="263175754"/>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSTextFieldCell" key="NSCell" id="710300103">
+								<int key="NSCellFlags">68288064</int>
+								<int key="NSCellFlags2">272630784</int>
+								<string key="NSContents">Fetch Dependencies:</string>
+								<reference key="NSSupport" ref="782475540"/>
+								<reference key="NSControlView" ref="624888554"/>
+								<reference key="NSBackgroundColor" ref="377834071"/>
+								<reference key="NSTextColor" ref="102768443"/>
+							</object>
+						</object>
+						<object class="NSTokenField" id="674050419">
+							<reference key="NSNextResponder" ref="263175754"/>
+							<int key="NSvFlags">290</int>
+							<object class="NSMutableSet" key="NSDragTypes">
+								<bool key="EncodedWithXMLCoder">YES</bool>
+								<object class="NSArray" key="set.sortedObjects">
+									<bool key="EncodedWithXMLCoder">YES</bool>
+									<string>NSStringPboardType</string>
+								</object>
+							</object>
+							<string key="NSFrame">{{175, 90}, {416, 17}}</string>
+							<reference key="NSSuperview" ref="263175754"/>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSTokenFieldCell" key="NSCell" id="334580204">
+								<int key="NSCellFlags">67239424</int>
+								<int key="NSCellFlags2">1073741824</int>
+								<object class="NSMutableAttributedString" key="NSContents">
+									<object class="NSMutableString" key="NSString">
+										<bytes key="NS.bytes">77+8A</bytes>
+									</object>
+									<object class="NSDictionary" key="NSAttributes">
+										<bool key="EncodedWithXMLCoder">YES</bool>
+										<object class="NSArray" key="dict.sortedKeys">
+											<bool key="EncodedWithXMLCoder">YES</bool>
+											<string>NSAttachment</string>
+											<string>NSColor</string>
+											<string>NSFont</string>
+											<string>NSOriginalFont</string>
+											<string>NSParagraphStyle</string>
+										</object>
+										<object class="NSMutableArray" key="dict.values">
+											<bool key="EncodedWithXMLCoder">YES</bool>
+											<object class="NSTokenAttachment">
+												<nil key="NSFileWrapper"/>
+												<object class="NSTokenAttachmentCell" key="NSCell">
+													<int key="NSCellFlags">67239488</int>
+													<int key="NSCellFlags2">134219776</int>
+													<string key="NSContents">deps...</string>
+													<reference key="NSSupport" ref="782475540"/>
+													<string key="NSRepresentedObject">deps...</string>
+													<reference key="NSTextColor" ref="475656758"/>
+												</object>
+												<reference key="NS.delegate" ref="334580204"/>
+											</object>
+											<reference ref="475656758"/>
+											<reference ref="782475540"/>
+											<reference ref="782475540"/>
+											<object class="NSMutableParagraphStyle">
+												<nil key="NSTabStops"/>
+											</object>
+										</object>
+									</object>
+								</object>
+								<reference key="NSSupport" ref="782475540"/>
+								<reference key="NSControlView" ref="674050419"/>
+								<reference key="NSBackgroundColor" ref="415231890"/>
+								<reference key="NSTextColor" ref="475656758"/>
+								<reference key="NSDelegate" ref="674050419"/>
+								<double key="NSCompletionDelay">0.0</double>
+								<int key="NSTokenStyle">2</int>
+								<object class="NSArray" key="NS.representedObjects">
+									<bool key="EncodedWithXMLCoder">YES</bool>
+									<string>deps...</string>
+								</object>
+							</object>
+							<int key="NSTokenFieldVersion">2</int>
+						</object>
+						<object class="NSTextField" id="132541940">
+							<reference key="NSNextResponder" ref="263175754"/>
+							<int key="NSvFlags">292</int>
+							<string key="NSFrame">{{29, 65}, {153, 17}}</string>
+							<reference key="NSSuperview" ref="263175754"/>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSTextFieldCell" key="NSCell" id="432802925">
+								<int key="NSCellFlags">68288064</int>
+								<int key="NSCellFlags2">272630784</int>
+								<string key="NSContents">Extract Dependencies:</string>
+								<reference key="NSSupport" ref="782475540"/>
+								<reference key="NSControlView" ref="132541940"/>
+								<reference key="NSBackgroundColor" ref="377834071"/>
+								<reference key="NSTextColor" ref="102768443"/>
+							</object>
+						</object>
+						<object class="NSTokenField" id="543739730">
+							<reference key="NSNextResponder" ref="263175754"/>
+							<int key="NSvFlags">290</int>
+							<object class="NSMutableSet" key="NSDragTypes">
+								<bool key="EncodedWithXMLCoder">YES</bool>
+								<object class="NSArray" key="set.sortedObjects">
+									<bool key="EncodedWithXMLCoder">YES</bool>
+									<string>NSStringPboardType</string>
+								</object>
+							</object>
+							<string key="NSFrame">{{175, 65}, {416, 17}}</string>
+							<reference key="NSSuperview" ref="263175754"/>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSTokenFieldCell" key="NSCell" id="33003484">
+								<int key="NSCellFlags">67239424</int>
+								<int key="NSCellFlags2">1073741824</int>
+								<object class="NSMutableAttributedString" key="NSContents">
+									<object class="NSMutableString" key="NSString">
+										<bytes key="NS.bytes">77+8A</bytes>
+									</object>
+									<object class="NSDictionary" key="NSAttributes">
+										<bool key="EncodedWithXMLCoder">YES</bool>
+										<object class="NSArray" key="dict.sortedKeys">
+											<bool key="EncodedWithXMLCoder">YES</bool>
+											<string>NSAttachment</string>
+											<string>NSColor</string>
+											<string>NSFont</string>
+											<string>NSOriginalFont</string>
+											<string>NSParagraphStyle</string>
+										</object>
+										<object class="NSMutableArray" key="dict.values">
+											<bool key="EncodedWithXMLCoder">YES</bool>
+											<object class="NSTokenAttachment">
+												<nil key="NSFileWrapper"/>
+												<object class="NSTokenAttachmentCell" key="NSCell">
+													<int key="NSCellFlags">67239488</int>
+													<int key="NSCellFlags2">134219776</int>
+													<string key="NSContents">deps...</string>
+													<reference key="NSSupport" ref="782475540"/>
+													<string key="NSRepresentedObject">deps...</string>
+													<reference key="NSTextColor" ref="475656758"/>
+												</object>
+												<reference key="NS.delegate" ref="33003484"/>
+											</object>
+											<reference ref="475656758"/>
+											<reference ref="782475540"/>
+											<reference ref="782475540"/>
+											<object class="NSMutableParagraphStyle">
+												<nil key="NSTabStops"/>
+											</object>
+										</object>
+									</object>
+								</object>
+								<reference key="NSSupport" ref="782475540"/>
+								<reference key="NSControlView" ref="543739730"/>
+								<reference key="NSBackgroundColor" ref="415231890"/>
+								<reference key="NSTextColor" ref="475656758"/>
+								<reference key="NSDelegate" ref="543739730"/>
+								<double key="NSCompletionDelay">0.0</double>
 								<int key="NSTokenStyle">2</int>
 								<object class="NSArray" key="NS.representedObjects">
@@ -2966,5 +3626,5 @@
 							<object class="NSMutableSet" key="NSDragTypes">
 								<bool key="EncodedWithXMLCoder">YES</bool>
-								<object class="NSMutableArray" key="set.sortedObjects">
+								<object class="NSArray" key="set.sortedObjects">
 									<bool key="EncodedWithXMLCoder">YES</bool>
 									<string>Apple PDF pasteboard type</string>
@@ -2976,5 +3636,5 @@
 								</object>
 							</object>
-							<string key="NSFrame">{{575, 254}, {32, 32}}</string>
+							<string key="NSFrame">{{575, 354}, {32, 32}}</string>
 							<reference key="NSSuperview" ref="263175754"/>
 							<bool key="NSEnabled">YES</bool>
@@ -2992,5 +3652,5 @@
 							<reference key="NSNextResponder" ref="263175754"/>
 							<int key="NSvFlags">292</int>
-							<string key="NSFrame">{{29, 90}, {60, 17}}</string>
+							<string key="NSFrame">{{29, 190}, {60, 17}}</string>
 							<reference key="NSSuperview" ref="263175754"/>
 							<bool key="NSEnabled">YES</bool>
@@ -3015,5 +3675,5 @@
 								</object>
 							</object>
-							<string key="NSFrame">{{175, 90}, {416, 17}}</string>
+							<string key="NSFrame">{{175, 190}, {416, 17}}</string>
 							<reference key="NSSuperview" ref="263175754"/>
 							<bool key="NSEnabled">YES</bool>
@@ -3027,5 +3687,5 @@
 									<object class="NSDictionary" key="NSAttributes">
 										<bool key="EncodedWithXMLCoder">YES</bool>
-										<object class="NSMutableArray" key="dict.sortedKeys">
+										<object class="NSArray" key="dict.sortedKeys">
 											<bool key="EncodedWithXMLCoder">YES</bool>
 											<string>NSAttachment</string>
@@ -3063,5 +3723,5 @@
 								<reference key="NSTextColor" ref="475656758"/>
 								<reference key="NSDelegate" ref="913553871"/>
-								<double key="NSCompletionDelay">0.000000e+00</double>
+								<double key="NSCompletionDelay">0.0</double>
 								<int key="NSTokenStyle">2</int>
 								<object class="NSArray" key="NS.representedObjects">
